Show / Hide Table of Contents

# Class ConnectRequest

The tcp tunnel Connect request.

##### Inheritance

Object
RequestResponseBase
Request
ConnectRequest

##### Inherited Members

Request.Method
Request.IsHttps
Request.RequestUri
Request.Url
Request.RequestUriString
Request.HasBody
Request.Host
Request.ExpectContinue
Request.IsMultipartFormData
Request.UpgradeToWebSocket
Request.ExpectationSucceeded
Request.ExpectationFailed
Request.HeaderText
RequestResponseBase.BodyInternal
RequestResponseBase.KeepBody
RequestResponseBase.HttpVersion
RequestResponseBase.Headers
RequestResponseBase.ContentLength
RequestResponseBase.ContentEncoding
RequestResponseBase.Encoding
RequestResponseBase.ContentType
RequestResponseBase.IsChunked
RequestResponseBase.Body
RequestResponseBase.BodyString
RequestResponseBase.IsBodyRead
RequestResponseBase.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ConnectRequest : Request

### Properties

| Improve this Doc View Source

#### ClientHelloInfo

##### Declaration

    public ClientHelloInfo? ClientHelloInfo { get; set; }

##### Property Value

Type | Description
--- | ---
Nullable<ClientHelloInfo> |

| Improve this Doc View Source

#### TunnelType

##### Declaration

    public TunnelType TunnelType { get; }

##### Property Value

Type | Description
--- | ---
TunnelType |